import requestSys from '@/utils/requestSys'


// 获取组织列表
export function fetchList(query) {
  return requestSys({
    url: '/org/page',
    method: 'get',
    params: query
  })
}
// 获取上级组织
export function fetchGropList(query) {
  return requestSys({
    url: '/org/orgTreeSelector',
    method: 'get',
    params: query
  })
}

// 创建组织
export function createOrg(data) {
  return requestSys({
    url: '/org/add',
    method: 'post',
    data
  })
}
// 更新组织信息
export function updateOrg(data) {
  return requestSys({
    url: '/org/edit',
    method: 'post',
    data
  })
}
// 删除组织信息
export function deleteOrg(data) {
  return requestSys({
    url: '/org/delete',
    method: 'post',
    data
  })
}





// // 组织搜索
// export function orgSearch(query) {
//   return requestSys({
//     url: '/sysOrg/search',
//     method: 'get',
//     params: query
//   })
// }



// // 获取组织列表
// export function sysOrgList(query) {
//   return requestSys({
//     url: '/sysOrg/list',
//     method: 'get',
//     params: query
//   })
// }



// // 通过id查询组织信息
// export function getOrgById(id) {
//   return requestSys({
//     url: '/sysOrg/info/' + id,
//     method: 'get'
//   })
// }


// // 获取资源数和组织资源关系
// export function getOrgResTree(id) {
//   return requestSys({
//     url: '/sysOrgResRel/list',
//     method: 'get',
//     params: {
//       orgId: id
//     }
//   })
// }


// // 获取组织列表（键值对，ID:名称）
// export function fetchOrgKeyValueList() {
//   return requestSys({
//     url: '/sysOrg/keyValueList',
//     method: 'get'
//   })
// }


// export function getOrgDistributionChannel(id) {
//   return requestSys({
//     url: '/pimOrgDistributionChannel/list',
//     method: 'get',
//     params: { orgId: id }
//   })
// }

// export function saveOrgDistributionChannel(data) {
//   return requestSys({
//     url: '/pimOrgDistributionChannel/save',
//     method: 'post',
//     data
//   })
// }

